' QA Nav Installation Routine
' Copyright 2004 - 2006 Ronald D. Grindle
' Creates a folder "QANav in the windows start menu
' Creates links to the QA Nav applications in that folder
' Supply parameter "adm" to set up a QA Nav administrator suite 

set WshShell = WScript.CreateObject("WScript.Shell")
set fso = WScript.CreateObject("Scripting.FileSystemObject")

foldName = "QANav"

if( WScript.Arguments.count = 1 ) then

	para = WScript.Arguments.Unnamed(0)
end if

exeStr = "QN.TCEdit.exe$QN.TCSetComp.exe$QN.TCExer.exe$QANavPT.hta$QN.Fixer.exe$QANavPWAdm.hta$QNManual.html"

titleStr = "TC Editor$TC Set Compiler$TC Executer$Problem Tracker$Fix Mgr$PW Admin$QA Nav Help"		

if( para = "adm" ) then

	exeStr = exeStr & "$QN.CmpgnMgr.exe$QN.Stat.exe$QN.CollabMgr.exe$QANavAdm.hta$MyQANavDBAdm.hta$QNConfig.xml"

	titleStr = titleStr & "$Campaign Mgr$Statistics Generator$Collaboration Manager$QANav User Admin$QANav DB Admin$QA Nav Config"
end if

exeStr = exeStr & "$QNManual.html"
titleStr = titleStr & "$QA Nav Help"	

exeLst = split( exeStr, "$" )
titleLst = split( titleStr, "$" )

strSpecFold = WshShell.SpecialFolders("AllUsersStartMenu")
'WScript.Echo strSpecFold

myFold = strSpecFold & "\" & foldName

if( fso.FolderExists( myFold ) ) then

	'WScript.Echo myFold  & "\*.*"

	fso.DeleteFile( myFold & "\*.*" )
else

	fso.CreateFolder( myFold ) 
end if

set fold = fso.GetFolder( "." )

locPth = fold.path

x = UBound( exeLst )

for i = 0 to x

	createLnk( i )
next 

msgbox( "Menu '" & foldName & "' was created." )

' ----------------------------
function createLnk( p_idx ) 

	tPth = locPth & "\" & exeLst( p_idx )
'WScript.Echo tPth

	lnkName = myFold & "\" & titleLst( p_idx ) & ".lnk"
'WScript.Echo lnkName

	set newLink = WshShell.CreateShortcut( lnkName )

	newLink.TargetPath = tPth
	newLink.WindowStyle = 1
	'newLink.IconLocation = "explorer.exe, 0"
	newLink.WorkingDirectory = locPth

	newLink.Save

end function